Main
Date: 2016-02-29

de.zib.scalaris

## Class Main

- java.lang.Object
- - de.zib.scalaris.Main

-     public class Main
      extends Object

  Class to test basic functionality of the package and to use scalaris from command line.
  Since:
    2.0
  Version:
    2.0
  Author:
    Nico Kruber, kruber@zib.de

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Main()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)` Queries the command line options for an action to perform.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Main

          public Main()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

      Queries the command line options for an action to perform.

           > java -jar scalaris.jar --help
           usage: scalaris [Options]
            -h,--help                                   print this message
            -v,--verbose                                print verbose information,
                                                        e.g. the properties read
            -lh,--localhost                             gets the local host's name as
                                                        known to Java (for debugging
                                                        purposes)
            -b,--minibench <[ops]> <[tpn]> <[benchs]>   run selected mini
                                                        benchmark(s) [1|...|18|all]
                                                        (default: all benchmarks, 500
                                                        operations, 10 threads per
                                                        Scalaris node)
            -m,--monitor                          print monitoring information
            -r,--read                              read an item
            -w,--write                      write an item
               --test-and-set            atomic test and set, i.e.
                                                        write  to  if the
                                                        current value is
            -d,--delete  <[timeout]>               delete an item (default
                                                        timeout: 2000ms)
                                                        WARNING: This function can
                                                        lead to inconsistent data
                                                        (e.g. deleted items can
                                                        re-appear). Also when
                                                        re-creating an item the
                                                        version before the delete can
                                                        re-appear.
            -jmx,--jmxservice                     starts a service exposing
                                                        Scalaris monitoring values
                                                        via JMX

      In order to override node and cookie to use for a connection, specify the `scalaris.node` or `scalaris.cookie` system properties. Their values will be used instead of the values defined in the config file!
      Parameters:
        `args` - command line arguments